Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.importance
Class MarkovCentrality

    java.lang.Object
      edu.uci.ics.jung.algorithms.IterativeProcess
          edu.uci.ics.jung.algorithms.importance.AbstractRanker
              edu.uci.ics.jung.algorithms.importance.RelativeAuthorityRanker
                  edu.uci.ics.jung.algorithms.importance.MarkovCentrality

public class MarkovCentrality
extends RelativeAuthorityRanker

Author:
  Scott White and Joshua O'Madadhain
See Also:
  "Algorithms for Estimating Relative Importance in Graphs by Scott White and Padhraic Smyth, 2003"

Field Summary
`static String` | `MEAN_FIRST_PASSAGE_TIME`

Fields inherited from class edu.uci.ics.jung.algorithms.importance.RelativeAuthorityRanker
`PRIOR_KEY`

Fields inherited from class edu.uci.ics.jung.algorithms.importance.AbstractRanker
`DEFAULT_EDGE_WEIGHT_KEY`

Constructor Summary
`MarkovCentrality(DirectedGraph graph, Set rootNodes)`
`MarkovCentrality(DirectedGraph graph, Set rootNodes, String edgeWeightKey)`

Method Summary
`protected double` | `evaluateIteration()` Evaluate the result of the current interation.
`double` | `getRankScore(Element vert)` Given an edge or node, returns the corresponding rank score.
`String` | `getRankScoreKey()` The user datum key used to store the rank score.
`protected void` | `setRankScore(Element v, double rankValue)`

Methods inherited from class edu.uci.ics.jung.algorithms.importance.RelativeAuthorityRanker
`finalizeIterations, getPriorRankScore, getPriorRankScoreKey, getPriors, setPriorRankScore, setPriors`

Methods inherited from class edu.uci.ics.jung.algorithms.importance.AbstractRanker
`assignDefaultEdgeTransitionWeights, getEdgeWeight, getEdgeWeightKeyName, getGraph, getRankings, getRankScores, getVertices, initialize, isRankingEdges, isRankingNodes, normalizeEdgeTransitionWeights, normalizeRankings, onFinalize, printRankings, reinitialize, setEdgeWeight, setNormalizeRankings, setRemoveRankScoresOnFinalize, setUserDefinedEdgeWeightKey`

Methods inherited from class edu.uci.ics.jung.algorithms.IterativeProcess
`evaluate, getDesiredPrecision, getIterations, getMaximumIterations, getPrecision, hasConverged, initializeIterations, relativePrecision, setDesiredPrecision, setMaximumIterations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEAN_FIRST_PASSAGE_TIME

    public static final String MEAN_FIRST_PASSAGE_TIME

See Also:
  Constant Field Values

Constructor Detail

### MarkovCentrality

    public MarkovCentrality(DirectedGraph graph,
                            Set rootNodes)

### MarkovCentrality

    public MarkovCentrality(DirectedGraph graph,
                            Set rootNodes,
                            String edgeWeightKey)

Method Detail

### getRankScoreKey

    public String getRankScoreKey()

  Description copied from class: `AbstractRanker`
  The user datum key used to store the rank score.

  Specified by:
    `getRankScoreKey` in class `AbstractRanker`
  Returns:
    the key
  See Also:
    `AbstractRanker.getRankScoreKey()`

### getRankScore

    public double getRankScore(Element vert)

  Description copied from class: `AbstractRanker`
  Given an edge or node, returns the corresponding rank score. This is a default implementation of getRankScore which assumes the decorations are of type MutableDouble. This method only returns legal values if `setRemoveRankScoresOnFinalize(false)` was called prior to `evaluate()`.

  Overrides:
    `getRankScore` in class `AbstractRanker`
  Returns:
    the rank score value
  See Also:
    `AbstractRanker.getRankScore(edu.uci.ics.jung.graph.Element)`

### setRankScore

    protected void setRankScore(Element v,
                                double rankValue)

  Overrides:
    `setRankScore` in class `AbstractRanker`
  See Also:
    `AbstractRanker.setRankScore(edu.uci.ics.jung.graph.Element, double)`

### evaluateIteration

    protected double evaluateIteration()

  Description copied from class: `IterativeProcess`
  Evaluate the result of the current interation.

  Specified by:
    `evaluateIteration` in class `IterativeProcess`
  Returns:
    the estimated precision of the result.
  See Also:
    `IterativeProcess.evaluateIteration()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD